# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "boost_type_traits"
version = "0.1.0"
build = "build.rs"
links = "boost_type_traits"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Boost C++ library boost_type_traits packaged using Zanbil"
readme = "README.md"
license = "BSL-1.0"
repository = "https://github.com/zanbilify/boost_type_traits"

[package.metadata.zanbil]
make_dependencies_public = true

[lib]
name = "boost_type_traits"
path = "src/lib.rs"

[dependencies.boost_config]
version = "0.1.0"

[dependencies.boost_static_assert]
version = "0.1.0"

[build-dependencies.zanbil-boost-build]
version = "0.1.0"
